Package pyplusplus :: Package code_creators :: Module namespace :: Class namespace_using_t

# type namespace_using_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
                                 namespace_using_t

Instance Methods

__init__(self, namespace_name) Constructor. | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| namespace_name
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, namespace_name)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### namespace_name

Get Method:
  _get_namespace_name(self)
Set Method:
  _set_namespace_name(self, new_namespace_name)